#
# spec file for package gnome-panel-nld (Version 2.12.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl cyrus-sasl-devel db dbus-1 dbus-1-devel dbus-1-glib diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs e2fsprogs-devel esound esound-devel evolution-data-server evolution-data-server-devel expat fam file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-desktop gnome-desktop-devel gnome-doc-utils gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-menus-devel gnome-patch-translation gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gtkdoc gzip hal hal-devel indent info insserv intltool iso_ent kdelibs3 kdelibs3-doc klogd krb5 krb5-devel less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libidl libidn libjpeg libjpeg-devel libnscd libpng libpng-devel libsoup libsoup-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxml2-python libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools mozilla-nspr mozilla-nspr-devel mozilla-nss mozilla-nss-devel ncurses ncurses-devel net-tools netcfg openjade openldap2-client openldap2-devel openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python qt3 rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info sharutils startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-panel-nld
BuildRequires:  evolution-data-server-devel gnome-common gnome-desktop-devel gnome-doc-utils gnome-menus-devel gnome-patch-translation gtkdoc indent intltool kdelibs3-doc libgnomeprintui-devel libidl libwnck-devel mDNSResponder-devel mozilla-nss-devel perl-XML-Parser scrollkeeper sharutils
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.12.2
Release:        36.6
Summary:        The GNOME 2.x Desktop Panel
Source:         ftp://ftp.gnome.org/pub/gnome/sources/gnome-panel/2.11/gnome-panel-%{version}.tar.bz2
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem /usr/bin/touch gconf2
Requires:       control-center2 gnome-themes gnome-main-menu evolution-data-server
# The gnome-panel-nld-layout.patch is specific to the -nld package all others should not differ.
Patch3:         gnome-panel-nld-layout.patch
Patch5:         gnome-panel-big-icons.patch
Patch9:         gnome-panel-novell-corner.patch
Patch10:        gnome-panel-disable-movement.patch
Patch12:        gnome-panel-clock-positon-truc.diff
Patch14:        gnome-panel-windowlist-fix.diff
Patch15:        gnome-panel-clock-change-date.diff
Patch16:        gnome-panel-workspaces.patch
Patch19:        panel-resize-60913.diff
Patch21:        menu-item-theme-icon.diff
Patch22:        launcher-theme-icon.diff
Patch24:        panel-vertical-resize-considerably-fix.diff
Patch25:        gnome-panel-recent-check-exists.patch
Patch30:        panel-toplevel-size-retain-while-change-orient.diff
Patch31:        gnome-panel-help-item.patch
Patch33:        gnome-panel-2-11-show-desktop-border.patch
Patch34:        gnome-panel-beagle-search.patch
Patch35:        gnome-panel-2-11-bring-back-my-run-item.patch
Patch36:        gnome-panel-5485-command-history.patch
Patch38:        gnome-panel-in-proc-applets.patch
Patch39:        gnome-panel-no-missing-tomboy-dialog.patch
Patch40:        gnome-panel-main-menu-name.patch
Patch41:        gnome-panel-323996.patch
Patch42:        gnome-panel-show-desktop-scaling.patch
Patch43:        gnome-panel-bonobo-async.patch
Patch44:        gnome-panel-transparency.patch
Patch46:        gnome-panel-missing-icon-no-dialog.patch
Patch47:        gnome-panel-cal-updates-160200.patch
Patch48:        gnome-panel-menu-bar-migrate.patch
Patch49:        gnome-panel-recently-used-apps.patch
Patch50:        gnome-panel-run-fixes.patch
Patch51:        gnome-panel-alt-f1-slab.patch
Obsoletes:      gnome-core gnome-panel
Provides:       gnome-panel

%description
This package contains the GNOME 2.x Desktop Panel. The Panel is an easy
to use and functional interface to manage your desktop, start programs,
and organize access to your data.



Authors:
--------
    George Lebl <jirka@5z.com>
    Jacob Berkman <jberkman@andrew.cmu.edu>
    Miguel de Icaza <miguel@kernel.org>
    Federico Mena <quartic@gimp.org>
    Tom Tromey <tromey@cygnus.com>
    Ian Main <imain@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Owen Taylor <otaylor@redhat.com>
    Mark McLoughlin <mark@skynet.ie>
    Alex Larsson <alexl@redhat.com>
    Martin Baulig <baulig@suse.de>
    Seth Nickell <snickell@stanford.edu>
    Darin Adler <darin@bentspoon.com>
    Glynn Foster <glynn.foster@sun.com>
    Stephen Browne <stephen.browne@sun.com>
    Anders Carlsson <andersca@gnu.org>
    Padraig O'Briain <padraig.obriain@sun.com>             
    Mark McLoughlin <mark@skynet.ie> 
    Miguel de Icaza <miguel@kernel.org>
    Jacob Berkman <jberkman@andrew.cmu.edu>
    George Lebl <jirka@5z.com>
    Federico Mena <quartic@gimp.org>
    Alex Larsson <alexl@redhat.com>
    Jaka Mocnik <jaka.mocnik@kiss.uni-lj.si>
    Lennart Poettering <poettering@gmx.net>      
    Wanda The Fish <wanda@gnome.org>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/GUI/GNOME
Autoreqprov:    on
Requires:       %{name} = %{version} gtk2-devel libgnomeui-devel libbonoboui-devel libglade2-devel
Provides:       gnome-panel-devel
Obsoletes:      gnome-panel-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    George Lebl <jirka@5z.com>
    Jacob Berkman <jberkman@andrew.cmu.edu>
    Miguel de Icaza <miguel@kernel.org>
    Federico Mena <quartic@gimp.org>
    Tom Tromey <tromey@cygnus.com>
    Ian Main <imain@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Owen Taylor <otaylor@redhat.com>
    Mark McLoughlin <mark@skynet.ie>
    Alex Larsson <alexl@redhat.com>
    Martin Baulig <baulig@suse.de>
    Seth Nickell <snickell@stanford.edu>
    Darin Adler <darin@bentspoon.com>
    Glynn Foster <glynn.foster@sun.com>
    Stephen Browne <stephen.browne@sun.com>
    Anders Carlsson <andersca@gnu.org>
    Padraig O'Briain <padraig.obriain@sun.com>             
    Mark McLoughlin <mark@skynet.ie> 
    Miguel de Icaza <miguel@kernel.org>
    Jacob Berkman <jberkman@andrew.cmu.edu>
    George Lebl <jirka@5z.com>
    Federico Mena <quartic@gimp.org>
    Alex Larsson <alexl@redhat.com>
    Jaka Mocnik <jaka.mocnik@kiss.uni-lj.si>
    Lennart Poettering <poettering@gmx.net>      
    Wanda The Fish <wanda@gnome.org>

%package doc
Summary:        Additional Package Documentation.
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Provides:       gnome-panel-doc
Obsoletes:      gnome-panel-doc

%description doc
This package contains optional documentation provided in addition to
this package's base documentation.



Authors:
--------
    George Lebl <jirka@5z.com>
    Jacob Berkman <jberkman@andrew.cmu.edu>
    Miguel de Icaza <miguel@kernel.org>
    Federico Mena <quartic@gimp.org>
    Tom Tromey <tromey@cygnus.com>
    Ian Main <imain@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Owen Taylor <otaylor@redhat.com>
    Mark McLoughlin <mark@skynet.ie>
    Alex Larsson <alexl@redhat.com>
    Martin Baulig <baulig@suse.de>
    Seth Nickell <snickell@stanford.edu>
    Darin Adler <darin@bentspoon.com>
    Glynn Foster <glynn.foster@sun.com>
    Stephen Browne <stephen.browne@sun.com>
    Anders Carlsson <andersca@gnu.org>
    Padraig O'Briain <padraig.obriain@sun.com>             
    Mark McLoughlin <mark@skynet.ie> 
    Miguel de Icaza <miguel@kernel.org>
    Jacob Berkman <jberkman@andrew.cmu.edu>
    George Lebl <jirka@5z.com>
    Federico Mena <quartic@gimp.org>
    Alex Larsson <alexl@redhat.com>
    Jaka Mocnik <jaka.mocnik@kiss.uni-lj.si>
    Lennart Poettering <poettering@gmx.net>      
    Wanda The Fish <wanda@gnome.org>

%package extras
Summary:        Extra panel applets
Group:          System/GUI/GNOME
Requires:       %{name} = %{version} fortune
Provides:       gnome-panel-extras
Obsoletes:      gnome-panel-extras

%description extras
This package contains extra panel applets such as Wanda the fish.



Authors:
--------
    George Lebl <jirka@5z.com>
    Jacob Berkman <jberkman@andrew.cmu.edu>
    Miguel de Icaza <miguel@kernel.org>
    Federico Mena <quartic@gimp.org>
    Tom Tromey <tromey@cygnus.com>
    Ian Main <imain@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Owen Taylor <otaylor@redhat.com>
    Mark McLoughlin <mark@skynet.ie>
    Alex Larsson <alexl@redhat.com>
    Martin Baulig <baulig@suse.de>
    Seth Nickell <snickell@stanford.edu>
    Darin Adler <darin@bentspoon.com>
    Glynn Foster <glynn.foster@sun.com>
    Stephen Browne <stephen.browne@sun.com>
    Anders Carlsson <andersca@gnu.org>
    Padraig O'Briain <padraig.obriain@sun.com>             
    Mark McLoughlin <mark@skynet.ie> 
    Miguel de Icaza <miguel@kernel.org>
    Jacob Berkman <jberkman@andrew.cmu.edu>
    George Lebl <jirka@5z.com>
    Federico Mena <quartic@gimp.org>
    Alex Larsson <alexl@redhat.com>
    Jaka Mocnik <jaka.mocnik@kiss.uni-lj.si>
    Lennart Poettering <poettering@gmx.net>      
    Wanda The Fish <wanda@gnome.org>

%prep
%setup -n gnome-panel-%{version}
gnome-patch-translation-prepare
%patch3 -p1
%patch5 -p1
%patch9 -p1
%patch10 -p0
%patch12 -p1
%patch14 -p1
%patch15
%patch16 -p1
%patch19
%patch21
%patch22
%patch24
%patch25 -p1
%patch30
%patch31 -p1
%patch33
%patch34
%patch35
%patch36 -p1
%patch38
%patch39
%patch40
%patch41
%patch42
%patch43
%patch44
%patch46
%patch47
%patch48
%patch49
%patch50
%patch51 -p1
# this is for the gnome-panel-corners.patch
# which has been temporarily removed for reworking
#cd icons
# This needs sharutils.
#for file in *.uu ; do
#  uudecode $file
#done
#cd ..
gnome-patch-translation-update

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%{?suse_update_config:%{suse_update_config -f}}
# Needed for patch8, requires gtkdoc gnome-common
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS -I/opt/gnome/include -fno-strict-aliasing " \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --libexecdir=%{prefix}/lib/gnome-applets \
    --mandir=%prefix/share/man \
    --localstatedir=/var/%_lib \
    --with-kde-datadir=/opt/kde3/share \
    --enable-platform-gnome2
#pushd po; make %{name}*.pot; make update-po; popd
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
make -i install DESTDIR=$RPM_BUILD_ROOT
#remove the stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/%_lib/scrollkeeper
rm -rf $RPM_BUILD_ROOT%{prefix}/%{_lib}/lib*.*a
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL 
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/*/*/*.xml; do
    if echo $xml | egrep 'share/gnome/help/([^/]*)/[^/]*/\1\.xml$' > /dev/null; then
	meinproc --check --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
    fi
done
%find_lang gnome-panel-2.0

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/clock.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/panel-compatibility.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/panel-general.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/panel-global.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/panel-object.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/panel-toplevel.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/window-list.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/workspace-switcher.schemas >/dev/null
opt/gnome/bin/gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load etc/opt/gnome/gconf/schemas/panel-default-setup.entries
touch var/adm/SuSEconfig/run-scrollkeeper-update

%post extras
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/fish.schemas >/dev/null

%postun
%run_ldconfig
touch var/adm/SuSEconfig/run-scrollkeeper-update

%postun extras
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f gnome-panel-2.0.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{prefix}/bin/*
%{prefix}/%{_lib}/libclock*.so.*
%{prefix}/%{_lib}/libnotification-area*.so.*
%{prefix}/%{_lib}/libpanel*.so.*
%{prefix}/%{_lib}/libwnck*.so.*
%{prefix}/%{_lib}/bonobo/servers/GNOME_ClockApplet_Factory.server
%{prefix}/%{_lib}/bonobo/servers/GNOME_NotificationAreaApplet.server
%{prefix}/%{_lib}/bonobo/servers/GNOME_Panel.server
%{prefix}/%{_lib}/bonobo/servers/GNOME_Wncklet_Factory.server
%{prefix}/%{_lib}/libclock-applet.so
%{prefix}/%{_lib}/libnotification-area-applet.so
%{prefix}/%{_lib}/libwnck-applet.so
%{prefix}/share/gnome/help/*
%{prefix}/share/gnome/panel
%{prefix}/share/gnome-panelrc
%{prefix}/share/idl/*
%{prefix}/share/omf/*
%{prefix}/share/icons/*
%{sysconfdir}/gconf/schemas/clock.schemas
%{sysconfdir}/gconf/schemas/panel-compatibility.schemas
%{sysconfdir}/gconf/schemas/panel-default-setup.entries
%{sysconfdir}/gconf/schemas/panel-general.schemas
%{sysconfdir}/gconf/schemas/panel-global.schemas
%{sysconfdir}/gconf/schemas/panel-object.schemas
%{sysconfdir}/gconf/schemas/panel-toplevel.schemas
%{sysconfdir}/gconf/schemas/window-list.schemas
%{sysconfdir}/gconf/schemas/workspace-switcher.schemas
%doc %{prefix}/share/man/man*/*
%{prefix}/share/gnome-2.0/ui/GNOME_ClockApplet.xml
%{prefix}/share/gnome-2.0/ui/GNOME_NotificationAreaApplet.xml
%{prefix}/share/gnome-2.0/ui/GNOME_Panel_Popup.xml
%{prefix}/share/gnome-2.0/ui/GNOME_ShowDesktopApplet.xml
%{prefix}/share/gnome-2.0/ui/GNOME_WindowListApplet.xml
%{prefix}/share/gnome-2.0/ui/GNOME_WindowMenuApplet.xml
%{prefix}/share/gnome-2.0/ui/GNOME_WorkspaceSwitcherApplet.xml

%files devel
%defattr (-, root, root)
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/%{_lib}/libpanel-applet-2.so
%{prefix}/include/panel-2.0

%files doc
%defattr (-, root, root)
%{prefix}/share/gtk-doc/html/*

%files extras
%defattr (-, root, root)
%{prefix}/%{_lib}/libfish-applet-2.so
%{prefix}/%{_lib}/libfish*.so.*
%{sysconfdir}/gconf/schemas/fish.schemas
%{prefix}/%{_lib}/bonobo/servers/GNOME_FishApplet_Factory.server
%{prefix}/share/gnome-2.0/ui/GNOME_FishApplet.xml

%changelog -n gnome-panel-nld
* Tue May 23 2006 - danw@suse.de
- Remove gnome-panel-window-list-default.patch, since we apparently
  now prefer the upstream default. #177979.
* Fri May 12 2006 - rodrigo@suse.de
- Added patch to show slab menu when available on alt-f1 (#152992)
* Tue May 09 2006 - danw@suse.de
- If the command in the run dialog matches a .desktop file, use path
  and uid info from that .desktop file, so that eg "yast2" will work.
  [#115576].
* Mon May 08 2006 - jimmyk@suse.de
- Include Alt-F2 Run Dialog patch from the gnome-panel package.
* Fri Apr 28 2006 - joeshaw@suse.de
- Add patch to transition menu bar to new main menu for NLD->SLED
  upgrades.  (bnc #146305)
* Tue Apr 18 2006 - jpr@suse.de
- Make sure all events are shown properly (#160200)
* Wed Mar 29 2006 - sbrabec@suse.cz
- Provide and obsolete gnome-panel*.
* Mon Mar 27 2006 - sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Sat Mar 25 2006 - joeshaw@suse.de
- Don't pop up a dialog if we can't find a missing icon.  Fixes
  bnc #157121.
* Thu Mar 23 2006 - rml@suse.de
- Require evolution-data-server (needed by the calender widget in
  the clock applet)
* Wed Mar 08 2006 - danw@suse.de
- Make the notification area obey panel transparency (and fix a bug
  in setting panel transparency). #155345
* Tue Feb 28 2006 - sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Mon Feb 27 2006 - gekker@suse.de
- Adjust position of tomboy on panel, move 4 pixels to the right
* Tue Feb 21 2006 - rodrigo@suse.de
- Added patch to load applets asynchronously (fixes part of
  [#152056])
* Fri Feb 17 2006 - dobey@suse.de
- Add ppatch to fix icon scaling issue with show desktop button
* Fri Feb 17 2006 - gekker@suse.de
- Don't show error if tomboy not installed (#147468)
- Rename Main Menu to Traditional Main Menu (#137006)
- Fix crasher in panel (b.g.o#323996)
* Fri Feb 03 2006 - gekker@suse.de
- Add tomboy to requires (#147468)
* Fri Jan 27 2006 - rml@suse.de
- Make g-p-n-d provide g-p-d
* Thu Jan 26 2006 - gekker@suse.de
- Add tomboy to default panel (#143160)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 09 2005 - gekker@suse.de
- Moved fish.schemas scrptlet to proper subpackage (#137775)
* Sat Dec 03 2005 - gekker@suse.de
- Add mixer and show-desktop button to default panel for NLD
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.12.2
* Mon Nov 28 2005 - gekker@suse.de
- Split out fish applet into gnome-panel-nld-extras (#134398).
* Tue Nov 08 2005 - gekker@suse.de
- Split package for NLD
- Requires: gnome-main-menu, Provides: gnome-panel
- Use gnome-panel-nld-layout.patch
* Wed Oct 19 2005 - gekker@suse.de
- Add fortune to Requires so it is there for fish applet
- Move unversioned .so plugins to main package
* Mon Oct 17 2005 - rodrigo@suse.de
- Removed powersave* from nfb.
* Mon Oct 17 2005 - rodrigo@suse.de
- Don't start the battstat applet, gnome-session starts now
  the gnome-power-manager, which deals with battery present/not
  present.
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 2.12.1
- Re-diff a couple patches so that they still apply
* Thu Oct 13 2005 - ro@suse.de
- added powersave-devel, powersave-libs to nfb
* Sun Oct 09 2005 - gekker@suse.de
- Run run clock, notification-area, wnck, and fish in process
* Thu Sep 29 2005 - sbrabec@suse.cz
- Require gnome-themes.
* Thu Sep 22 2005 - clahey@suse.de
- New panel layout.
* Tue Sep 20 2005 - gekker@suse.de
- Fix command history to use correct order (5485)
* Fri Sep 09 2005 - clahey@suse.de
- Put back run application menu item.  bug #116208
* Mon Sep 05 2005 - rodrigo@suse.de
- Update to version 2.12.0
- Updated preconf patch.
* Sun Aug 28 2005 - jpr@suse.de
- Launch nautilus-search or `nautilus x-nautilus-search:` from the
  places menu (113691)
* Thu Aug 25 2005 - jpr@suse.de
- Rework patch that conflicted with upstream change. (112835)
* Mon Aug 22 2005 - rodrigo@suse.de
- Update to version 2.11.92
* Mon Aug 22 2005 - ro@suse.de
- remove control-center2 from nfb
* Fri Aug 19 2005 - gekker@suse.de
- Fix to change to gnomesu to use /sbin/yast2
* Fri Aug 12 2005 - gekker@suse.de
- Add patch to fix show desktop icon
- Use gnomesu for time adjust instead of kdesu
* Wed Aug 10 2005 - gekker@suse.de
- Remove -rpath and fix nfb (95673)
* Sun Aug 07 2005 - aj@suse.de
- Fix needed for build.
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.90
- Remove upstreamed patches
* Mon Aug 01 2005 - sbrabec@suse.cz
- Refer to evolution-2.4 (#99676).
* Tue Jul 26 2005 - gekker@suse.de
- Update to version 2.11.5
* Tue Jul 26 2005 - ro@suse.de
- added dbus to neededforbuild
* Tue Jun 21 2005 - sbrabec@suse.cz
- Updated to version 2.11.3.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Sat Mar 19 2005 - jody@suse.de
- Merge patch to optionally disable moving a panel with a mouse.
  (#72924)
* Sat Mar 19 2005 - clahey@suse.de
- Fix the battstat-for-gnome patch to not freeze on desktops.
* Wed Mar 16 2005 - gekker@suse.de
- Add battstat-for-gnome patch
- Add powersave to neededforbuild
* Tue Mar 15 2005 - sbrabec@suse.cz
- Removed outdated Czech and German translations.
* Mon Mar 14 2005 - clahey@suse.de
- Fix notification area.
- Fix launchers.
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Wed Mar 09 2005 - clahey@suse.de
- Replaced yelp with SuSE help center in Desktop menu.
* Wed Mar 09 2005 - clahey@suse.de
- link to proper evolution desktop file.
* Mon Mar 07 2005 - gekker@suse.de
- Add -rpath for mozilla libs (67286)
* Fri Mar 04 2005 - gekker@suse.de
- Update to version 2.9.92
* Tue Mar 01 2005 - clahey@suse.de
- Use firefox in 9.3.
* Sun Feb 27 2005 - ro@suse.de
- added mozilla to nfb
* Fri Feb 11 2005 - gekker@suse.de
- Update to version 2.9.91
* Tue Feb 08 2005 - gekker@suse.de
- Update to version 2.9.90
* Fri Jan 21 2005 - gekker@suse.de
- Update to Rudi's improved 64-bit fix.
* Fri Jan 21 2005 - gekker@suse.de
- Update to version 2.9.4
- Temporarily remove several patches for reworking
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 - sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Mon Oct 04 2004 - hhetter@suse.de
- launch user-guide in help, not nld-user-guide
* Fri Oct 01 2004 - sbrabec@suse.cz
- Czech translation update from Klara Cihlarova (#46621).
* Fri Sep 24 2004 - ke@suse.de
- Update gnome-panel-de.po [#46011].
* Fri Sep 24 2004 - hhetter@suse.de
- unlock all preconfiguration panel elements (#45634)
- "Control Center" instead of "Personal Settings"
  "YaST" instead of "Administrator Settings"
  (#46011)
* Thu Sep 23 2004 - clahey@suse.de
- Point at evolution-2.0.desktop.
* Wed Sep 22 2004 - hhetter@suse.de
- implement NoDisplay and Hidden in the quick-desktop-reader
  (#45655)
* Fri Sep 17 2004 - ke@suse.de
- Update translation files and translate German messages
  (gnome-panel-de.po); [#45523].
* Fri Sep 17 2004 - dave@suse.de
- Replaced recent-files.diff with a better
  gnome-panel-recent-check-exists.patch, fixes ximian #64796
* Tue Sep 14 2004 - hhetter@suse.de
- re-introduce gnome-panel-ximian-menus patch, to get YaST2 and
  control-center in the menubar
- load the suse-menustripe
* Tue Sep 14 2004 - ke@suse.de
- Add docbook_4 and sgml-skel to neededforbuild to make scrollkeeper
  install properly.
* Mon Sep 13 2004 - hhetter@suse.de
- actually reactivate the SUSE Menu, full toplevel in the
  menu bar ( most of  #45052, partly #45027)
* Fri Sep 10 2004 - ro@suse.de
- added shared-mime-info to neededforbuild
* Fri Sep 03 2004 - hhetter@suse.de
- remove patches to disable distribution menu as we going to
  have SUSE menu toplevel in 9.2
- remove Admisitrator Settings patch
* Thu Sep 02 2004 - hhetter@suse.de
- default to epiphany on 9.2, not Firefox
* Fri Aug 27 2004 - shprasad@suse.de
- Fixes bug #63142 (Fix given by svasista@novell.com)
  Force quit  doesnt cause panel crash if the application quits before.
- Fixes bug #63145 (Fix given by svasista@novell.com)
  Screensaver deamon restarts correctly.
- Fixes bug #61945 (Fix given by sdharmaveer@novell.com)
  Fixes the hang of clock applet while trying to modify date and time using yast for
  the second time. Also introduces kdesu yast2 instead of yast2.
- Fixes bug #63205 (Fix given by sdharmaveer@novell.com)
  Introduces a check on mouse button release while dragging the panel to change orient.
  writes the size changes to gconf only after the mouse button is released. This fixes
  resizing problems due to menubar present on vertical panels.
* Fri Aug 27 2004 - clahey@suse.de
- Cache gnome-panel help.
* Thu Aug 26 2004 - dave@suse.de
- New version of the panel layout patch, fixes ximian #58717
* Tue Aug 24 2004 - rml@suse.de
- remove support for suse and a11y menus (bug #63544)
* Sun Aug 22 2004 - ro@suse.de
- fixed typo in specfile
* Fri Aug 20 2004 - shprasad@suse.de
- Fixes bug #62545
  'System -> Recent files' shows an error dialog instead of
  launching the application, when that file doesn't exist.
* Tue Aug 10 2004 - clahey@suse.de
- Updated corners patch from joeshaw.
* Tue Aug 10 2004 - shprasad@suse.de
- Fixes bug #62427 (Fix given by sdharmaveer@novell.com)
  This fixes the gradually increasing size of vertical panels.
* Tue Aug 10 2004 - shprasad@suse.de
- Fixes bug #60607  (Fix given by svasista@novell.com)
  Puts the appropriate Icon from the current theme.
- Fixes bug #60979  (Fix given by svasista@novell.com)
  Panel Menu-bar no longer gets invoked by mouse-over event.
- Fixes bug #54494  (Fix given by svasista@novell.com)
  Launcher displays relevant icon from the current theme.
* Fri Aug 06 2004 - shprasad@suse.de
- Fixes bug #59830.
  Removing the 'System -> Screen Lock' and 'Add to Panel -> Action -> Lock'
  menus when the user logs in as root.
* Mon Aug 02 2004 - shprasad@suse.de
- Fixes bug #60913 (Fix given by sdharmaveer@novell.com)
  Inserts actual panel width to gconf after stretching of the
  vertical panel.
* Fri Jul 30 2004 - shprasad@suse.de
- Fixes bug #61166 (Fix given bt svasista@novell.com)
  Doesn't accept pipes as background.
* Thu Jul 29 2004 - dave@suse.de
- Added gnome-panel-run-dialog-dnd.patch
* Mon Jul 26 2004 - clahey@suse.de
- Updated to gnome-panel-2.6.2.
- Added workspaces default patch.
* Fri Jun 25 2004 - clahey@suse.de
- Add notification area.
* Thu Jun 24 2004 - sragavan@suse.de
- Fixed the change date settings in clock applet. Using yast instead
  of time-admin
* Wed Jun 23 2004 - sragavan@suse.de
- Fixed Administrator Settings menu independent of kdebase3
- Fixed url drag and drop to panel
- Fixed the clock time truncation
- Fixed the window list issue
* Fri Jun 18 2004 - ro@suse.de
- merged changes from sragavan:
  proper patch file for SuSE menu
  fixed the wncklet applet crash when double clicked
  Moved A11y menu down (bug 58041)
* Mon Jun 07 2004 - clahey@suse.de
- Replace gnome foot in corner with the Novell N.
* Fri Jun 04 2004 - clahey@suse.de
- Added evolution-data-server to builddeps so as to build clock
  with evo calendar integration.
* Wed Jun 02 2004 - clahey@suse.de
- Added menu-stripe patch.
* Mon May 17 2004 - sbrabec@suse.cz
- Fixed incorrectly applied gnome-panel-corners.patch.
* Tue May 11 2004 - clahey@suse.de
- Added gnome-panel-corners.patch.
- Added gnome-panel-logout-strings.patch.
* Tue May 11 2004 - clahey@suse.de
- Removed an incorrect portion of new layout patch.
* Thu May 06 2004 - sbrabec@suse.cz
- Updated to version 2.6.1.
* Tue May 04 2004 - clahey@suse.de
- Updated to 2.6.0.
- Added patch for new layout of System and Help menus.
- Added patch to turn on big icons.
- Removed clock patch until bounty comes in.
* Mon Apr 05 2004 - hhetter@suse.de
- place Epiphany and Evolution as try-exec  in upper panel
* Mon Mar 22 2004 - hhetter@suse.de
- gnome-panel-clock-format-de.diff: show the clock correctly
  in german locale (#36179)
* Wed Mar 17 2004 - sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Mon Mar 15 2004 - hhetter@suse.de
- fix yast timezone call in panel-clock.patch
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
- Fixed scrollkeeper installation.
* Wed Feb 25 2004 - hhetter@suse.de
- apply gnome-panel-clock.patch: adding quickalarm feature,
  call yast2 timezone for time setting, show weekday feature
* Fri Feb 20 2004 - sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Mon Feb 16 2004 - ro@suse.de
- fixed postinstall: panel-default.entries is not a schema
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 2.4.2 [GNOME2.4.2]
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Thu Oct 30 2003 - sbrabec@suse.cz
- Fixed -devel splitting (shared clock applet library).
* Mon Oct 27 2003 - sbrabec@suse.cz
- Use suse-menu:// for SuSE Menu.
* Wed Oct 22 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Tue Oct 21 2003 - sbrabec@suse.cz
- Added icon path fix (GNOME bug #121360).
* Mon Oct 20 2003 - sbrabec@suse.cz
- Fixed schemas installation.
* Wed Oct 15 2003 - ro@suse.de
- fix "file listed twice"
* Thu Oct 09 2003 - sbrabec@suse.cz
- Fixed Czech panel size names.
* Tue Oct 07 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Fri Sep 05 2003 - hhetter@suse.de
- add Obsoletes: gnome-core
* Thu Sep 04 2003 - hhetter@suse.de
- disable SuSE menu detection in favour of the new
  global vfolder definition
* Mon Aug 18 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.2.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.1.
- Prefix clash fix (gtk-doc).
- Compress man pages.
- Use %%find_lang.
- Require control-center2.
* Wed May 28 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Thu May 15 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.
* Fri Feb 21 2003 - sbrabec@suse.cz
- Fixed %%files (fixes notification area applet).
- FHS fix.
* Mon Feb 10 2003 - hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Fri Jan 31 2003 - sf@suse.de
- added startup-notification* to neededforbuild to make it build
* Tue Jan 28 2003 - hhetter@suse.de
- updated to version 2.2.0
* Mon Jan 20 2003 - ro@suse.de
- update to 2.1.90
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.0.11 [GNOME 2.0.3]
* Tue Oct 22 2002 - hhetter@suse.de
- updated to stable release 2.0.10
- removed hu po-patch as it has been commited to CVS
- adapted SuSE-Menu patch
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Sep 17 2002 - hhetter@suse.de
- added corrected hu po-file
* Thu Aug 22 2002 - hhetter@suse.de
- bring back SuSEmenu (Bug Id#18167)
* Tue Aug 20 2002 - hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 20 2002 - kukuk@suse.de
- Fix Requires of devel package
* Thu Aug 15 2002 - hhetter@suse.de
- branch doc package
* Tue Aug 13 2002 - hhetter@suse.de
- remove control-center* from neededforbuild
* Mon Aug 12 2002 - hhetter@suse.de
- devel package requires main package
* Mon Aug 12 2002 - hhetter@suse.de
- updated to version 2.0.6
* Thu Aug 08 2002 - hhetter@suse.de
- updated to version 2.0.5, bug Id's reflect bugzilla.gnome.org
  * Fix #84744, applets not loading in the correct order
  * Fix problem with more than one applet showing focus
* Tue Aug 06 2002 - hhetter@suse.de
- updated to version 2.0.4
  * Only request a Global style session save
  * Properly figure out opitimum place to put new sliding
  panels
  * Don't change cursor with menu popup menu
  * Fix panel overlap avoidance
  * Focus applets and launchers as they are added to panel
* Wed Jul 31 2002 - hhetter@suse.de
- updated to version 2.0.3
- initiate scrollkeeper update
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Tue Jul 23 2002 - hhetter@suse.de
- updated to version 2.0.2
* Tue Jul 09 2002 - hhetter@suse.de
- scrollkeeper registration
- re-introduce Global SuSE Menu
* Wed Jun 26 2002 - hhetter@suse.de
- fix filelist
* Thu Jun 20 2002 - hhetter@suse.de
- don't install schemas while make install
- updated to version 2.0.1
* Mon Jun 17 2002 - ro@suse.de
- fixed filelist
* Fri Jun 14 2002 - hhetter@suse.de
- provide schemas
- removed SuSEconfig.gnome-panel as SuSEconfig.gconf2 does
  this job now
* Fri Jun 14 2002 - ro@suse.de
- use libpng-devel-packages
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 2.0.0
* Fri Jun 07 2002 - hhetter@suse.de
- fix filelist
* Fri Jun 07 2002 - hhetter@suse.de
- gnome-common in #neededforbuild
* Fri Jun 07 2002 - hhetter@suse.de
- really build gen_panel_util library
- %%_lib fixes
- CFLAGS correction
- intltool in #neededforbuild
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.5.24
* Wed May 15 2002 - ro@suse.de
- use libdir
* Fri Apr 12 2002 - hhetter@suse.de
- initial Release for GNOME 2 Desktop
- added SuSEconfig script to register basic panel applets
